package neg;

/**
 * A simple debugging aspect.
 */
public aspect Debug {

  pointcut callTargets(double d): 
    call(* neg.Computation.*(double)) 
    && args(d);
    
  before(double d): 
    if(AspectConfig.DEBUG) 
    && callTargets(d) 
    {
    System.err.println("Calling " + d + ":" + 
                       thisJoinPoint);
  }
}
